/*
  Programma che dato un array di numeri casuali 
  restituisce l'elemento che  uscito con maggior fraquenza
*/

import javax.swing.JOptionPane;
import java.math.*;
public class Frequenza
{
  static void inizializza (int [] array)
  {
    for (int i = 0; i < array.length; i++)
    {
      array[i] = (int)(10 * Math.random());
    }
  }
  
  static void stampa (int [] array)
  {
    for (int c = 0; c < array.length; c++)
    {
      System.out.println("L'elemento "+c+" dell'array  "+array[c]);
    }
  }
  
  public static void main (String []args)
  {
    int n = Integer.parseInt
    (JOptionPane.showInputDialog ("Dammi un numero"));
    //inizializzo l'array con n elementi
    int [] a = new int [n];
    inizializza (a);
    stampa (a);
    System.out.println();
    
    /*
      inizializzo un array in cui verrano allocate
      le frequenze di uscita dei vari valori
    */
    int []b = new int [11];
    
    int i,      //contatore degli elementi
        c,      //contatore delle locazioni
        j = 0;
    for (i = 0; i < a.length; i++)
    {
      for (c = 0; c < 11; c++)
      {
        if (a [i] == c) {j++; break;}
      }
      b[c] += j;
      j = 0;
    }
    
    //stampa (b);
    //System.out.println();
    
    //ricerco le locazioni dei max del secondo array
    int max = b[0];
    for (i = 1; i < b.length; i++)
    {
      if (max < b[i])
      {
        max = b[i];
      }
    }
    
    System.out.print
    ("Numero/i estratto/i pi frequentemente: ");
    
    for (i = 0; i < b.length; i++)
    {
      if (b[i] == max)
      {
        System.out.print(i+ " ");
      }      
    }
    System.out.println();
    System.out.println("Numero di estrazioni: "+max);
    System.exit(0);
  }
}