import javax.swing.JOptionPane;
import java.math.*;
public class GameSquare
{
  static void stampa (int [][] array1, int righe, int colonne)
  {
    for (int i = 0; i < righe; i++)
    {
      for (int j = 0; j < colonne; j++)
      {
        System.out.print (array1[i][j]+" ");
        
      }
      System.out.println();
    }
    System.out.println();
  }
  
  public static void main (String[] args)
  {
    int n = Integer.parseInt(JOptionPane.showInputDialog ("Dammi un numero"));
    int [][] quadrato = new int [n][n];
    int m,i,j;
    
    //Prima inizializzazione:
    m = 0;
    for (i = 0; i < quadrato.length; i++)
    {
      for (j = 0; j < quadrato.length; j++)
      {
        quadrato [i][j] = m;
        m++;
      }
    }
    stampa (quadrato, n, n);
    
    //Seconda inizializzazione
    m = (int) Math.pow(n,2)-1;
    for (i = 0; i < quadrato.length; i++)
    {
      for (j = 0; j < quadrato.length; j++)
      {
        quadrato [i][j] = m;
        m--;
      }
    }
    stampa (quadrato, n, n);
    
    //Terza inizializzazione
    m = 0;
    for (i = 0; i < quadrato.length; i++)
    {
      for (j = 0; j < quadrato.length; j++)
      {
        quadrato [j][i] = m;
        m++;
      }
    }
    stampa (quadrato, n, n);
    
    //Quarta inizializzazione
    m = (int) Math.pow(n,2)-1;
    for (i = 0; i < quadrato.length; i++)
    {
      for (j = 0; j < quadrato.length; j++)
      {
        quadrato [j][i] = m;
        m--;
      }
    }
    stampa (quadrato, n, n);
    
    //Quinta inizializzazione (serpentina)
    m = 0;
    i = 0;
    while (i < n)
    {
      for (j = 0; j < n; j++)
      {
        quadrato [i][j] = m;
        m++;
      }
      i++;
      if (i == n) break;
      for (j = n-1; j >= 0; j--)
      {
        quadrato [i][j] = m;
        m++;
      }      
      i++;
    }
    stampa (quadrato, n, n);
    
    System.exit (0);
  }
}
