//Programma che ripropone il classico gioco "Indovina il numero"

import javax.swing.JOptionPane;
import java.math.*;

public class Indovina
{
  static int scegliNumero (int numero)
  {
    numero = Integer.parseInt (JOptionPane.showInputDialog 
    ("Inserisci un numero fra 1 e 1000"));
    controlloNumero (numero);
    return numero;
  }
  
  static void controlloNumero (int numero)
  {
    if (numero < 0 || numero > 1000)
    {
      System.out.println ("Hai fatto una scelta non consentita. Riprova.");
      scegliNumero(numero);
    }
  }
  
  static void troppoPiccolo (int numero)
  {
    System.out.println ("Il numero "+numero+"  pi piccolo. Riprova.");
    //scegliNumero(numero);
  }
  
  static void troppoGrande (int numero)
  {
    System.out.println("Il numero "+numero+"  pi grande. Riprova.");
    //scegliNumero(numero);
  }
  
  public static void main (String[] args)
  {
    int numeroDaIndovinare = (int) (1000 * Math.random () + 1);
    int n = 0; 
    while (n != numeroDaIndovinare)
    {
      n = scegliNumero(n);
      if (n < numeroDaIndovinare)
      {
        troppoPiccolo(n);
        //scegliNumero(n);
      }
      else if (n > numeroDaIndovinare)
      {
        troppoGrande(n);
        //scegliNumero(n);
      }
    }
    System.out.println ("Hai indovinato! Il numero era "+numeroDaIndovinare+"!");
    System.exit(0);
  }
}