//Programma che simula il gioco della tombola

import javax.swing.JOptionPane;
import java.math.*;

public class Tombola
{
  public static void main (String[] args)
  {
    int numero_concorrenti;
    numero_concorrenti = Integer.parseInt (
    JOptionPane.showInputDialog ("Quanti sono i concorrenti?"));
    
    int y;
    
    String [] concorrenti = new String [numero_concorrenti];
    //richiedo i nomi dei giocatori
    int i, I, J;
    for (i = 0; i < numero_concorrenti; i++)
    {
      concorrenti [i] = JOptionPane.showInputDialog (
      "Inserisci il nome del "+(i+1)+" concorrente");
    }
    
    //definisco l'array contenente i numeri estratti
    int [][] cartellina = new int [2][9];
    
    //inizializzo l'array con numeri casuali
    int j;      //contatore delle colonne
    for (i = 0; i < 2; i++)
    {
      for (j = 0; j < 9; j++) 
      {
        cartellina [i][j] = (int)(((j*10+10)-(j*10+1)+1)*Math.random()+(j*10+1));
        for (I = 0; I < i; I++)
        {
          for (J = 0; J < j; J++)
          {
            if (cartellina[i][j] == cartellina[I][J])
            {
              if (j == 0)
              {
                j = 8;
                i = i-1;
              }
              else
              {
                j--;
              }
            }
          }
        }
      }
    }
        
      /*
        la cartellina di ciascun concorrente  dotata di 
        2 righe e 9 colonne: in ogni colonna vengono estratti
        numeri casuali per ogni decina (colonna  1 = numeri da  1 a 10,
                                        colonna  2 = numeri da 11 a 20,
                                        colonna  3 = numeri da 21 a 30,
                                                      ...               
                                        colonna 10 = numeri da 81 a 90)
      */
    
    //stampo le cartelline di ciascun concorrente
    for (y = 0; y < concorrenti.length; y++)
    {
      System.out.println (
      concorrenti[y]+" ha estratto i seguenti numeri:");
      for (i = 0; i < 2; i++)
      {
        for (j = 0; j < 9; j++)
        {
          System.out.print(cartellina[i][j]+"\t");
        }
        System.out.println();
      }
      System.out.print("\n");
    }
    
    //ora procedo con l'estrazione dei numeri
    int [] numeri_estratti = new int [6];
    i = 0;
    while (i < numeri_estratti.length)
    {
      numeri_estratti [i] = (int)(90 * Math.random () + 1);
      for (j = 0; j < i; j++)
      {
        if (numeri_estratti[i] == numeri_estratti[j])
          i--;
      }
      i++;
    }
    
    //visualizzo un messaggio di attesa
    String attesa = "Estrazione in corso";
    for (i = 0; i < 6; i++)
      for (j = 0; j < 1000000; j++)
        attesa += ".";
    
    //controllo le eventuali vincite
    int c = 0,
        k;
    String risultato = "";
    
    for (k = 1; k < concorrenti.length; k++) //contatore concorrenti
    {      
      for (i = 0; i < 2; i++)                //contatore righe cartellina
        {
          for (j = 0; j < 9; j++)            //contatore colonne cartellina
          {
            for (y = 0; y < 6; y++)          //contatore numeri estratti
            {
              if (cartellina [i][j] == numeri_estratti [y])
              {
                c++;
              }
            }
          }
        }
      
      if ( c == 0 || c == 1)
        JOptionPane.showMessageDialog (null,
        "Hai perso!",
        "Risultato di "+concorrenti[k],
        JOptionPane.INFORMATION_MESSAGE);
      
      else switch (c)
      {
        case 2:
        risultato = "ambo";
        break;
        
        case 3:
        risultato = "terno";
        break;
        
        case 4:
        risultato = "quaterna";
        break;
        
        case 5:
        risultato = "cinquina";
        break;
        
        default:
        risultato = "tombola";
      }
      
      JOptionPane.showMessageDialog (null,
      "Hai fatto "+risultato+"!",
      "Risultato di "+concorrenti[k],
      JOptionPane.INFORMATION_MESSAGE);
    }
    
    System.exit (0);
  }
}