/*
  Versione implementata "ad oggetti" di un programma 
  che gestisce il conto corrente di un dato cliente
*/

import javax.swing.JOptionPane;

//===============================classe pubblica ContoCorrente==============================
public class ContoCorrente
{
  public static void main (String[] args)
  {
    Cliente datiCliente = new Cliente();          //viene creato l'oggetto cliente
    
    Saldo saldoCliente = new Saldo(10000);        //il saldo iniziale del cliente
                                                  // inizialmente di 10000 
    
    //visualizzo il saldo attuale del cliente
    System.out.println ("Il saldo attuale del cliente  "+saldoCliente.getSaldo()+".\n");
    
    //datiCliente.modificaIndirizzoResidenza();
    //datiCliente.modificaCittaResidenza();
    //saldoCliente.getsaldo();
    /*int deposito = Integer.parseInt (
    JOptionPane.showInputDialog ("Quanto vuoi depositare?"));
    saldoCliente.depositoSaldo(deposito);
    System.out.println (
    "Il nuovo saldo del cliente  "+saldoCliente.getSaldo()+".");*/
    /*int deposito = Integer.parseInt (
    JOptionPane.showInputDialog ("Quanto vuoi prelevare?"));
    saldoCliente.prelievoSaldo(prelievo);
    System.out.println (
    "Il nuovo saldo del cliente  "+saldoCliente.getSaldo()+".");*/
    
    System.exit(0);
  }
}

//==================================classe Cliente========================================
class Cliente
{
  //dichiarazione di tutte le variabili d'istanza per la classe Cliente
  private final String nome,
                       cognome,
                       dataDiNascita,
                       cittaDiNascita;
  private String indirizzo,
                 residenza;
  private final int numeroContoCorrente;
    
  //effettuo la chiamata al metodo costruttore
  public Cliente ()
  {
    nome =              JOptionPane.showInputDialog ("Inserisci il nome del cliente");
    cognome =           JOptionPane.showInputDialog ("Inserisci il cognome del cliente");
    dataDiNascita =     JOptionPane.showInputDialog ("Data di nascita?");
    cittaDiNascita =    JOptionPane.showInputDialog ("Citt di nascita?");
    indirizzo =         JOptionPane.showInputDialog ("Indirizzo di residenza?");
    residenza =         JOptionPane.showInputDialog ("Citt di residenza?");
    numeroContoCorrente = Integer.parseInt (
    JOptionPane.showInputDialog ("Inserisci il numero del conto corrente"));
  }
  
  //metodi per la modifica di alcuni dati anagrafici
  public void modificaIndirizzoResidenza ()
  {
    indirizzo = JOptionPane.showInputDialog ("Inserisci il nuovo indirizzo di residenza");
  }
  public void modificaCittaResidenza ()
  {
    residenza = JOptionPane.showInputDialog ("Inserisci la nuova citt di residenza?");
  }
}

//==================================classe Saldo==========================================
class Saldo
{
  private int saldo;
    
  public Saldo (int sommaIniziale)
  {
    saldo = sommaIniziale;
  }
  
  public int getSaldo ()
  {
    return saldo;
  }
  
  public void depositoSaldo (int deposito)
  {
    saldo += deposito;
  }
  
  public void prelievosaldo (int prelievo)
  {
    saldo -= prelievo;
  }
  
}
