/*
  Secondo set di esercizi in Java:
  progetto 3: un DB fatto in casa
*/

/*
  Si vuole tenere traccia di una collezione di 40 CD, 
  per ciascuno si vuole ricordare: titolo, cantante e anno di incisione.
  Per ciascun cantante si vuole mantenere informazione sul suo genere, 
  la sua nazionalit e il suo anno di nascita.Si crei una serie di 
  classi per: mostrare all'apertura l'elenco dei CD e che consenta, 
  su richiesta da dialogo, di ottenere, per ogni cantante tutti i suoi 
  CD nella nostra collezione.(ATTENZIONE: questo  un DB giocattolo! Basta 
  usare ACCESS per fare qualcosa di meglio! Ma stiamo parlando di esercizi!)
*/

import javax.swing.JOptionPane;
import java.math.BigInteger;

//================================classe Cd===============================================
class Cd
{
  //variabili di istanza per ciascun oggetto della classe
  private String titolo, genere;
  private int annoIncisione;
  protected Cantante unCantante;
  
  //metodo costruttore con parametri
  public Cd (
    String titolo, String genere, int annoIncisione, Cantante unCantante) {
    this.titolo = titolo;
    this.genere = genere;
    this.annoIncisione = annoIncisione;
    this.unCantante = unCantante;
  }
  
  //metodo costruttore senza parametri
  public Cd () {
    titolo = "sconosciuto";
    genere = "sconosciuto";
    annoIncisione = 2000;
    unCantante = new Cantante ();
  }
  
  //metodi di accesso alle variabili di istanza
  public String getTitolo () {
    return titolo;
  }
  
  public String getGenere () {
    return genere;
  }
  
  public int getAnnoIncisione () {
    return annoIncisione;
  }
  
  //metodi di modifica
  public void setTitolo () {
    titolo = JOptionPane.showInputDialog ("Inserisci il nuovo titolo del cd");
  }
  
  public void setGenere () {
    genere = JOptionPane.showInputDialog ("Insersci il nuovo genere del cd");
  }
  
  public void setAnnoIncisione () {
    annoIncisione = Integer.parseInt (
    JOptionPane.showInputDialog ("Insersci il nuovo anno di incisione del cd"));
  }
}

//===================================classe Cantante=====================================
class Cantante
{
  private String nome, cognome;
  private int annoNascita;
  private String nazionalit;
    
  public Cantante (String nome, String cognome, int annoNascita, String nazionalit) {
    this.nome = nome;
    this.cognome = cognome;
    this.annoNascita = annoNascita;
    this.nazionalit = nazionalit;
  }
  
  public Cantante () {
    nome = "anonimo";
    cognome = "anonimo";
    annoNascita = 1900;
    nazionalit = "sconosciuta";
  }
  
  public String getNome () {
    return nome;
  }
  
  public String getCognome () {
    return cognome;
  }
  
  public int getAnnoNascita () {
    return annoNascita;
  }
  
  public String getNazionalit () {
    return nazionalit;
  }
  
  public void setDatiAnagrafici () {
    nome = JOptionPane.showInputDialog ("Inserisci il nuovo nome");
    cognome = JOptionPane.showInputDialog ("Inserisci il nuovo cognome");
    annoNascita = Integer.parseInt (
    JOptionPane.showInputDialog ("Inserisci la nuova data di nascita"));
    nazionalit = JOptionPane.showInputDialog ("Inserisci la nuova nazionalit");
  }
}

//==================================classe Ricerca========================================
class Ricerca
{
  public void ricerca (Cd []unaRaccolta, String cognome) {
    for (int i = 0; i < unaRaccolta.length; i++) {
      if (cognome.equals(unaRaccolta[i].unCantante.getCognome())) {
        System.out.println (unaRaccolta[i].getTitolo());
      }
    }
  }
}

//==================================classe MostraCd=======================================
class MostraCd
{
  public void getElenco (Cd []unaRaccolta) {
    for (int i = 0; i < unaRaccolta.length; i++) {
      System.out.print ("il "+(i+1)+" cd  :"+unaRaccolta[i].getTitolo()+" di ");
      System.out.print (unaRaccolta[i].unCantante.getNome()+" ");
      System.out.print (unaRaccolta[i].unCantante.getCognome()+".\n");
    }
  }
}

//==================================classe DatabaseCd=====================================
public class DatabaseCd
{
  public static void main (String[] args)
  {
    Cd []laMiaRaccolta = new Cd [2];
    laMiaRaccolta[0] = new Cd ();
    laMiaRaccolta[1] = new Cd ("Buon Compleanno Elvis", "Rock", 1996,
                       new Cantante ("Luciano", "Ligabue", 1967, "Italiana"));
    
    System.out.println(laMiaRaccolta[1].unCantante.getCognome());
    
    ricerca(laMiaRaccolta, "Ligabue");
    
    System.exit(0);
  }
}
