class Complessi
{
	//dichiarazione delle variabili d'istanza
	private double parteReale, parteImmaginaria;
		
	//metodi costruttori
	public Complessi (double a, double b) {
		parteReale = a;
		parteImmaginaria = b;
	}
	
	public Complessi () {
		parteReale = 1D;
		parteImmaginaria = 1D;
	}
	
	//metodi d'accesso
	public double getParteReale ()
	{ return parteReale; }
	
	public double getParteImmaginaria ()
	{ return parteImmaginaria; }
	
	//metodo per la visualizzazione
	public void visualizza () {
		System.out.println ("("+parteReale+","+parteImmaginaria+")");
	}
	
	//metodi per le operazioni
	public Complessi addizione (Complessi b) {
		Complessi somma = new Complessi 
		(parteReale + b.getParteReale(), parteImmaginaria + b.getParteImmaginaria());
		return somma;
	}
	
	public Complessi sottrazione (Complessi b) {
		Complessi sottrazione = new Complessi 
		(parteReale - b.getParteReale(), parteImmaginaria - b.getParteImmaginaria());
		return sottrazione;
	}
}

//====================================classe pubblica per il test della classe Complessi===============================
public class NumeriComplessi
{
	static double parteReale1 = 10D;
	static double parteImmaginaria1 = 3D;
	static double parteReale2 = 4D;
	static double parteImmaginaria2 = 3D;
	
	public static void main (String[] args)
	{
		Complessi numero1 = new Complessi (parteReale1, parteImmaginaria1);
		Complessi numero2 = new Complessi (parteReale2, parteImmaginaria2);
		Complessi somma;
		somma = numero1.addizione(numero2);
		somma.visualizza ();
		
		System.out.println ("Prova: "+numero1.getParteReale());
		
		System.exit (0);
	}
}
