//Programma "Rational"

class Rational {
	private int numerator, denominator;
		
	public Rational () {
		numerator = 1;
		denominator = 2;
	}
	
	public Rational (int n, int d) {
		numerator = n; denominator = d;
		//setRational();
	}
	
	public Rational product (Rational a) {
		int n, d;
		n = numerator * a.getNumerator();
		d = denominator * a.getDenominator() ;		return new Rational(n, d);
	}
	
	public Rational division (Rational a) {
		int n, d;
		n = numerator * a.getDenominator();
		d = denominator * a.getNumerator();
		
		return new Rational (n, d);
	}
	
	public Rational addition (Rational a) {
		int n, d;
		d = denominator * a.getDenominator();
		n = d / denominator * numerator + d / a.getDenominator () * a.getNumerator();
		return new Rational (n, d);
	}
	
	public Rational substraction (Rational a) {
		int n, d;
		d = denominator * a.getDenominator();
		n = d / denominator * numerator - d / a.getDenominator () * a.getNumerator();
		return new Rational (n, d);
 	}
	
	public String toString() {
		return this.getNumerator() + "/" + this.getDenominator();
	}
	
	public float toDecimalNumber() {
		return (float)(this.getNumerator())/this.getDenominator();
	}
	
	//metodi di accesso
	public int getNumerator ()				{ return numerator; }
	public int getDenominator () 			{ return denominator; }
	
	//metodi di servizio
	private int gcd (int x, int y) {
		for (int i = 1; i < x* y; i++) {
			if (i % x == 0 && i % y == 0) {
				return i;
			}
		}
		return x * y;
	}
	
	private void setRational () {
		while (gcd (numerator, denominator) != 1) {
			numerator /= gcd (numerator, denominator);
			denominator /= gcd (numerator, denominator);
		}
	}
}

//=======================================classe di Prova===================================================
public class RationalTest
{
	public static void main (String[] args) {
		Rational unRazionale = new Rational (1, 3);
		Rational unAltroRazionale = new Rational (1, 5);
		
		System.out.println (unRazionale.toString());
		
		System.out.println(
		(unRazionale.addition(unAltroRazionale)).toString());
		
	}
}
