/*
  Programma che gestisce le valutazioni conseguite agli esami
  dagli studenti di Informatica del primo anno del corso
*/

import javax.swing.JOptionPane;
import java.math.*;

//====================================classe Studente======================================
class Studente
{
  private String nome, cognome, residenza;
  private int annoDiNascita;
  protected Esame []elenco;
    
  public Studente (String nome, String cognome, String residenza, int annoDiNascita) 
  {
    this.nome = nome;
    this.cognome = cognome;
    this.residenza = residenza;
    this.annoDiNascita = annoDiNascita;
    elenco = new Esame [3];
    elenco[0] = new Esame ("Formazione Analitica", (int)((30-18+1)*Math.random()+18)); 
    elenco[1] = new Esame ("Formazione Discreta", (int)((30-18+1)*Math.random()+18));
    elenco[2] = new Esame ("Programmazione 1", (int)((30-18+1)*Math.random()+18));
  }
  
  public String getNome () {
    return nome;
  }
  
  public String getCognome () {
    return cognome;
  }
  
  public String getResidenza () {
    return residenza;
  }
  
  public int getAnnoDiNascita () {
    return annoDiNascita;
  }
  
  public void setResidenza () {
    residenza = JOptionPane.showInputDialog ("Dammi la nuova residenza");
  }
}

//====================================classe Esame=========================================
class Esame
{
  private String nomeEsame;
  private int votoEsame;
    
  public Esame (String nomeEsame, int votoEsame) {
    this.nomeEsame = nomeEsame;
    this.votoEsame = votoEsame;
  }
  
  public String getNomeEsame () {
    return nomeEsame;
  }
  
  public int getVotoEsame () {
    return votoEsame;
  }
}

//================================classe pubblica per il test==============================
public class StudentiInf
{
  public static void main (String []args) 
  {
    Studente []gliStudenti = new Studente [2];
    
    //inizializzo i dati degli studenti
    gliStudenti[0] = new Studente ("Fabio", "Rinnone", "Niscemi", 1984);
    gliStudenti[1] = new Studente ("Filippo", "Di Pasquale", "Niscemi", 1983);
    
    System.out.print (gliStudenti[0].getNome()+" "+gliStudenti[0].getCognome()+", ");
    System.out.print ("nell'esame di "+gliStudenti[0].elenco[0].getNomeEsame()+", ha cons");
    System.out.print ("eguito una valutazione di "+gliStudenti[0].elenco[0].getVotoEsame());
    System.out.println ("/30");
    
    System.exit(0);
    
  }
}