/*
  TEMA 8
  Si considerino sottoinsiemi dei numeroi reali 
  che abbiano una delle seguenti due forme:
  a) un intervallo chiuso e limitato (esempio [3, 5]);
  b) due intervalli chiusi e limitati, disgiunti tra loro 
  (attenzione: controllare questa condizione nel generare tali insiemi);
  
  Si scriva codice JAVA per
  a) generare due di tali sottoinsimi 
  (scegliendo a caso sia il tipo del primo 
  e del secondo insieme e i loro estremi);
  b) stampare a schermo informazioni complete 
  sui due sottoinsiemi generati, ridefinendo il metodo toString();
  c) dire quale dei due sottoinsiemi ha misura maggiore.
  
  CONSIGLIO: evitare l'uso di JOptionPane;
*/

import java.math.BigInteger;

//================================classe Forma1===========================================
class Forma1 extends Object
{
  protected int inf, sup;
    
  //Costruttore
  public Forma1 (int a, int b) {        if (a < b) {
    inf = a;
    sup = b; }          else { inf = b; sup = a; }
  }
  
  //metodi di accesso
  public int getInf ()          { return inf; }
  public int getSup ()          { return sup; }
  public int getMisuraTot ()    { return sup - inf; }
  
  //ovverriding del metodo toString della classe Object
  public String toString () {
    return "Intervallo: ["+inf+","+sup+"]";
  }
}

//================================classe Forma2===========================================
class Forma2 extends Forma1
{
  protected int inf2, sup2;
    
  //Costruttore
  public Forma2 (int a, int b, int c, int d) {
    super (a, b);
    inf2 = c;
    sup2 = d;
  }
  
  public int getInf2 ()         { return inf2; }
  public int getSup2 ()         { return sup2; }
  public int getMisuraTot ()    { return sup2 - inf2 + this.getMisuraTot(); }
  
  public String toString () {
    return "Intervalli: ["+inf+","+sup+"] e ["+inf2+","+sup2+"]";
  }
}

//================================classe Tema8=============================================
public class Tema8
{
  public static void main (String[] args) {
    Forma1 []elenco = new Forma1 [2];
    int i;
    for (i = 0; i < elenco.length; i++) {
      if (Math.random() > .5) {
        elenco[i] = new Forma1 ((int)(16*Math.random()+1),
                                (int)(16*Math.random()+1));     }
      else elenco[i] = new Forma2 ((int)(16*Math.random()+1),
                                   (int)(16*Math.random()+1),
                                   (int)(16*Math.random()+1),
                                   (int)(16*Math.random()+1));
    }
    
    for (i = 0; i < elenco.length; i++) {
      System.out.println (elenco[i].toString());
    }
    
    int m = 0;
    for (i = 0; i < elenco.length; i++) {
      if (elenco[i].getMisuraTot() < elenco[i].getMisuraTot())  m = i;
    }
    System.out.println ("Max = "+elenco[m]);
    
    System.exit(0);
  }
}
