//Dimostrazione dell'uso dell'ereditariet per il calcolo del perimetro dei triangoli

//===============================classe Triangolo=======================================
public class Triangolo extends Object
{
  private int lato1, lato2, lato3, perimetro;
    
  public Triangolo (int lato1, int lato2, int lato3) {
    this.lato1 = lato1;
    this.lato2 = lato2;
    this.lato3 = lato3;
  }
  
  public int perimetro () {
    return (lato1 + lato2 + lato3);
  }
  
  public int getLato1 () {
    return lato1;
  }
  
  public int getLato2 () {
    return lato2;
  }
  
  public int getLato3 () {
    return lato3;
  }
}

//=============================classe Isoscele===========================================
class Isoscele extends Triangolo
{
  private int base, latoObliquo;
    
  public Isoscele (int base, int latoObliquo) {
    super (base, latoObliquo, latoObliquo);
  }
  
  public int perimetro () {
    return (base + 2 * latoObliquo);
  }             //overriding del metodo perimetro
}

//==============================classe Equilatero========================================
class Equilatero extends Isoscele
{
  private int lato;
    
  public Equilatero (int lato) {
    super (lato, lato);
  }
  
  public int perimetro () {
    return (3 * lato);
  }             //overriding del metodo perimetro
  
}
