/*
  ESERCIZIO 4 SULLA RICORSIONE:
  P1  un triangolo rettangolo isoscele di ipotenusa pari ad 1.
  P2  un poligono ottenuto aggiungendo a P1 un triangolo 
  rettangolo isoscele che ha per ipotenusa uno dei cateti di P1.
  P3  ottenuto aggiungendo a P2 un triangolo rettangolo isoscele che 
  ha per ipotenusa uno dei cateti dell'ultimo triangolo aggiunto a P2.

  PN  ottenuto aggiungendo a P(N-1) un triangolo rettangolo isoscele 
  che ha per ipotenusa uno dei cateti dell'ultimo triangolo aggiunto a P(N-1).

  Dato N, quale  l'area di PN?
*/

import javax.swing.JOptionPane;

public class Poligoni 
{
  static double calcolaArea (int n) {
    if (n == 0)                 return 0;
    else if (n == 1)            return (double)1/2;
    else
      return (double)3/2 * calcolaArea(n-1) - (double)1/2 * calcolaArea(n-2);
  }
  
  public static void main (String[] args) {
    int n = Integer.parseInt (
    JOptionPane.showInputDialog ("Dammi l'indicatore del poligono"));
    
    JOptionPane.showMessageDialog (null,
    "L'area del poligono P"+n+" : "+calcolaArea(n),
    "Output", JOptionPane.INFORMATION_MESSAGE);
    
    System.exit(0);
  }
}