/*
  SET 1: Esercizio 2.2
  Scrivere una classe che presa una stringa 
  ne stampi un anagramma casuale.
*/

import javax.swing.JOptionPane;
import java.math.BigInteger;

public class Anagramma {
  static void swap (char[] c, int a, int b) {
    char tmp = c[a];
    c[a] = c[b];
    c[b] = tmp;
  }
  
  static String permuta (String s)
  {
    char tmp;
    char[] caratteri = s.toCharArray();
    int random1,
        random2;
    for (int i = 0; i < 100; i++) {
      random1 = (int)((s.length()-1)*Math.random());
      random2 = (int)((s.length()-1)*Math.random());
      swap(caratteri, random1, random2);
    }
    return new String (caratteri);
  }
  
  public static void main (String[] args)
  {
    String unaParola = JOptionPane.showInputDialog ("Inserisci una parola");
    JOptionPane.showMessageDialog (null,
    "Un anagamma casuale della parola "+unaParola+" \n"+permuta(unaParola)+".",
    "Output", JOptionPane.PLAIN_MESSAGE);
    System.exit(0);
  }
}