//Programma che confronta i valori di 2 arrays bidimensionali

import java.math.*;
import javax.swing.*;
public class ConfrontoArray
{
  static void stampa (int [][] array1, int [][] array2, int righe, int colonne)
  {
    for (int i = 0; i < righe; i++)
    {
      for (int j = 0; j < colonne; j++)
      {
        System.out.print (array1[i][j]+",");
        
      }
      System.out.println();
    }
    System.out.println();
    for (int i = 0; i < righe; i++)
    {
      for (int j = 0; j < colonne; j++)
      {
        System.out.print (array2[i][j]+",");        
      }
    System.out.println();
    }
  }
  
  static void inizializza (int [][] array1, int [][] array2, int righe, int colonne)
  {
    for (int i = 0; i < righe; i++)
      for (int j = 0; j < colonne; j++)
      {
        array1[i][j] = (int)(100*Math.random());
      }
    System.out.println();
    for (int i = 0; i < righe; i++)
      for (int j = 0; j < colonne; j++)
      {
        array2[i][j] = (int)(100*Math.random());
      }
  }
  
  public static void main (String[]args)
  {
    int N = Integer.parseInt (JOptionPane.showInputDialog("Quante righe?"));
    int M = Integer.parseInt (JOptionPane.showInputDialog("Quante colonne?"));
    int [][]a = new int [N][M];
    int [][]b = new int [N][M];
    inizializza (a, b, N, M);
    stampa (a, b, N, M);
    
    int minore = 0, maggiore = 0, uguale = 0;
    //Inizio fase di confronto:
    int i,      //contatore righe 
        I;      //contatore colonne          
    for (i = 0; i < N; i++)
    for (I = 0; I < M; I++)
    if (a[i][I] == b[i][I])
      uguale++;
    else if (a[i][I] > b[i][I])
      maggiore++;
    else {minore++;}
    
    //Visualizzazione dei risultati
    System.out.println();
    System.out.println 
    ("I numeri del 1 array  maggiori di quelli corrispondenti del 2 sono "+maggiore);
    System.out.println 
    ("I numeri del 1 array minori di quelli corrispondenti del 2 sono "+minore);
    System.out.println 
    ("I numeri del 1 array uguali a quelli corrispondenti del 2 sono "+uguale);
    
    //Visualizzazione dei risultati in termini di percentuale
    System.out.println();
    double magg = (double) maggiore/(N*M)*100;
    double min = (double) minore/(N*M)*100;
    double ug = (double) uguale/(N*M)*100;
    System.out.println ("In percentuale i numeri maggiori sono "+magg+"%");
    System.out.println ("In percentuale i numeri minori sono "+min+"%");
    System.out.println ("In percentuale i numeri uguali sono "+ug+"%");
    System.exit(0);
  }
}