/*
  Programma che calcola le soluzioni di un'equazione
  di secondo grado intera e razionale del tipo
  ax^2 + bx + c = 0
*/

import javax.swing.JOptionPane;
import java.math.*;
public class Equazione
{
  static void controllo (int a, int c)
  {
    if (c < 0)
      System.out.println (
      "L'equazione ammette due soluzioni: "+(-1 * Math.sqrt((double)(-c)/a))
      +" e "+(Math.sqrt((double)(-c)/a))+".");
    
    else if (c == 0)
      System.out.println (
      "L'equazione ammette due soluzioni coincidenti a: 0.");
    
    else if (c > 0)
      System.out.println (
      "L'equazione non ammette soluzioni nell'insieme dei reali.");
  }

  static void soluzioni (int a, int b, int c)
  {
    double delta = Math.pow(b,2) - 4 * a * c;
    if (delta > 0)
      System.out.println (
      "L'equazione ammette due soluzioni: "+(-1 * ((double)b - Math.sqrt(delta)) / 2 * a)
      +" e "+(-1 * ((double)b + Math.sqrt(delta)) / 2 * a)+".");
    
    else if (delta == 0)
      System.out.println (
      "L'equazione ammette due soluzioni coincidenti a: "+((-1 * (double)(b) / 2 * a))+".");
    
    else System.out.println (
      "L'equazione non ammette soluzioni nell'insieme dei reali.");
  }
  
  public static void main (String[] args)
  {
    int a = Integer.parseInt 
    (JOptionPane.showInputDialog("Inserisci il primo coefficiente"));
    int b = Integer.parseInt 
    (JOptionPane.showInputDialog("Inserisci il secondo coefficiente"));
    int c = Integer.parseInt 
    (JOptionPane.showInputDialog("Inserisci il termine noto"));
    
    if (a == 0 && b == 0)
      System.out.println(
      "L'equazione  indeterminata.");
    
    else if (a != 0 && b == 0)
      controllo (a,c);
    
    else if (a == 0 && b != 0)
      System.out.println (
      "L'equazione ammette una sola soluzione: "+((double)(-c) / b)+".");
    
    else soluzioni (a,b,c);
      
    System.exit(0);
  }
}
