/*
  Problema : trovare le coordinate del punto P di
  intersezione tra la retta del piano che passa per i punti A e
  B e la retta che passa per i punti C e D. (attenzione alle
  rette parallele!)
  Il programma seguente risolve il problema con la filosofia "ad oggetti".
*/

import javax.swing.JOptionPane;

//===============================classe Intersezione=======================================
public class Intersezione
{
  static int x1 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ascissa del punto A"));
  static int y1 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ordinata del punto A"));
  static int x2 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ascissa del punto B"));
  static int y2 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ordinata del punto B"));
    
  static int X1 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ascissa del punto C"));
  static int Y1 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ordinata del punto C"));
  static int X2 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ascissa del punto D"));
  static int Y2 = Integer.parseInt (
  JOptionPane.showInputDialog ("Inserisci l'ordinata del punto D"));
   
  static Retta primaRetta = new Retta (x1, y1, x2, y2);
  static Retta secondaRetta = new Retta (X1, Y1, X2, Y2);
  
  public static void main (String[] args)
  {    
    if 
    (primaRetta.getCoefficienteAngolare() == secondaRetta.getCoefficienteAngolare()
    && primaRetta.getTermineNoto() == secondaRetta.getTermineNoto()) {
      System.out.println ("Le due rette sono coincidenti.");
    }
    else if 
    (primaRetta.getCoefficienteAngolare() == secondaRetta.getCoefficienteAngolare())
    {
      System.out.print("Le due rette sono parallele: non ci sono punti ");
      System.out.println ("d'intersezione.");
    }
    else {
      //posso trovare il punto d'intersezione fra le due rette:
      System.out.print ("Le coordinate del punto P di intersezione fra le due rette");
      System.out.print (" sono: ("+(secondaRetta.getTermineNoto() - 
        primaRetta.getTermineNoto()) /
        (primaRetta.getCoefficienteAngolare()-secondaRetta.getCoefficienteAngolare())
        +",");
      System.out.println (primaRetta.getCoefficienteAngolare() * 
        x1 + primaRetta.getTermineNoto()+").");
    }
    
    System.exit(0);
  }
}

//===============================classe Retta=============================================
class Retta
{
  private double x1, y1, x2, y2;
    
  //chiamata al metodo costruttore
  public Retta (double ascissa1, double ordinata1, double ascissa2, double ordinata2)
  {
    x1 = ascissa1;
    y1 = ordinata1;
    x2 = ascissa2;
    y2 = ordinata2;
  }
  
  private double m;
  public double getCoefficienteAngolare()
  {
    m = (y2 - y1) / (x2 - x1);
    return m;
  }
  
  private double q;
  public double getTermineNoto()
  {
    q = y1 - m * x1;
    return q;
  }
}
