/*
  Versione implementata "ad oggetti" di un comune gioco a carte fra due concorrenti:
  ciascun giocatore pesca una catra dal mazzo, vince colui che pesca la carta pi 
  alta in seme e valore. I semi sono: oro, coppe, spada e bastoni (carte siciliane)
*/

import javax.swing.JOptionPane;
import java.math.*;

//================================classe GiocoACarte========================================
public class GiocoACarte
{
  static Seme semeDiFabio               =       new Seme ();
  static Seme semeDiSabrina             =       new Seme ();
  static Valore valoreDiFabio           =       new Valore ();
  static Valore valoreDiSabrina         =       new Valore ();
  
  public static void main (String[] args)
  {
    int contatore = 1;
    do {
      semeDiFabio.estraiSeme();
      semeDiSabrina.estraiSeme();
      valoreDiFabio.estraiValore();
      do {
        valoreDiSabrina.estraiValore();
      }
      while (valoreDiFabio.getValore() != valoreDiSabrina.getValore());
    
      if (semeDiFabio.getSeme() > semeDiSabrina.getSeme()) {
        System.out.print ("Fabio ha estratto una carte di "+semeDiFabio.getNomeSeme());
        System.out.print (", mentre Sabrina ha estratto una carta di ");
        System.out.print (semeDiSabrina.getNomeSeme()+".\nHa vinto Fabio!\n");
      }
      else if (semeDiFabio.getSeme() < semeDiSabrina.getSeme()) {
        System.out.print ("Sabrina ha estratto una carte di "+semeDiSabrina.getNomeSeme());
        System.out.print (", mentre Fabio ha estratto una carta di ");
        System.out.print (semeDiFabio.getNomeSeme()+".\nHa vinto Sabrina!\n");
      }
      else if (valoreDiFabio.getValore() < valoreDiSabrina.getValore ()) {
        System.out.print ("Sabrina ha estratto: "+valoreDiSabrina.getValore());
        System.out.print (" di "+semeDiSabrina.getNomeSeme()+", mentre ");
        System.out.print ("Fabio ha estratto: "+valoreDiFabio.getValore()+" dello ");
        System.out.println ("stesso seme.\nHa vinto Sabrina!");
      }
      else {
        System.out.print ("Fabio ha estratto: "+valoreDiFabio.getValore());
        System.out.print (" di "+semeDiFabio.getNomeSeme()+", mentre ");
        System.out.print ("Sabrina ha estratto: "+valoreDiSabrina.getValore());
        System.out.println (" dello stesso seme.\nHa vinto Fabio!");
      }
      
      contatore++;
    }
    while (contatore <= 100);            //effettua la gara per 100 volte
    
    System.exit (0);
  }
}

//================================classe Seme=============================================
class Seme
{
  private int seme;  
  public int estraiSeme()
  {
    seme = (int)(4 * Math.random() + 1);
    return seme;
  }
  
  private String nomeSeme = "";
  public String getNomeSeme ()
  {
    switch (seme) {
      case (1):
      nomeSeme = "bastoni";
      break;
      
      case (2):
      nomeSeme = "spada";
      break;
      
      case (3):
      nomeSeme = "coppe";
      break;
      
      default:
      nomeSeme = "denaro";
    }
    return nomeSeme;
  }
  
  public int getSeme()
  {
    return seme;
  }
}

//================================classe Valore===========================================
class Valore
{
  private int valore;  
  public int estraiValore()
  {
    valore = (int)(10 * Math.random() + 1);
    return valore;
  }
  
  public int getValore()
  {
    return valore;
  }
}
