//Dimostrazione dell'uso di una semplice interfaccia

abstract class UnaClasse extends Object
{
  protected int a, b;
    
  public UnaClasse (int a, int b) {
    this.a = a;
    this.b = b;
  }
  
  //metodo astratto
  abstract public double getValori();
}

class UnAltraClasse extends UnaClasse implements UnInterfaccia
{
  private double n;
    
  public UnAltraClasse (int a, int b, double n) {
    super (a,b);
    this.n = n;
  }
  
  public double getValori() {
    return a + n - unNumero;
  }
}

//interfaccia
interface UnInterfaccia
{
  final public static int unNumero = 10;
}

public class InterfaceTest extends Object
{
  public static void main (String[] args) {
    int a, b;
    double n;
    
    a = 2;
    b = 3;
    n = 3D;
    
    UnAltraClasse unOggetto = new UnAltraClasse (a, b, n);
    
    System.out.println (unOggetto.getValori());
    
    System.exit(0);
  }
}