/*
  TEMA 1
  Uno studio medico ha 100 pazienti.
  Per ogni paziente si mantiene una informazione sulla et (tra 14 e 90) 
  e sulle iniziali dei loro nomi e cognomi (due caratteri).

  Assegnando a caso i dati relativi ai pazienti, si vuole un 
  programma JAVA che consenta di sapere:
  a)   i dati completi del paziente pi anziano;
  b)   quanti pazienti hanno iniziali assegnate e superano una certa et.
  Le iniziali e la et sono inserite con un dialogo interattivo da parte dell'utente.
*/

import javax.swing.JOptionPane;
import java.math.BigInteger;

//==================================classe Paziente========================================
class Paziente
{
  private int anni;
  private char nome, cognome;
    
  public Paziente (int anni, char nome, char cognome) {
    this.anni = anni;
    this.nome = nome;
    this.cognome = cognome;
  }
  
  public int getAnni () {
    return anni;
  }
  
  public char getNome () {
    return nome;
  }
  
  public char getCognome () {
    return cognome;
  }
    
  public void setAnni () {
    anni = Integer.parseInt (
    JOptionPane.showInputDialog ("Inserisci la nuova et del paziente"));
  }
}

//==================================classe Test============================================
public class Tema1
{
  public static void main (String[] args)
  {
    Paziente []elenco = new Paziente [100];
    for (int i = 0; i < elenco.length; i++) {
      elenco[i] = new Paziente ((int)(77 * Math.random() + 14),
                                (char)((int)(26 * Math.random() + 97)),
                                (char)((int)(26 * Math.random() + 97)));
    }
    int i;
    int max = 0;
    for (i = 0; i < elenco.length; i++) {
      if (elenco[i].getAnni() < elenco[i].getAnni())    max = i;
    }
    System.out.println("Il paziente pi anziano  "+elenco[max].getNome()+
        "di anni"+elenco[i].getAnni());
    
    int eta = 60;
    char iniziale = 'c';
    int cont = 0;
    for (i = 0; i < elenco.length; i++) {
      if (elenco[i].getAnni() > eta)      cont++;
    }
    System.out.println(cont);
    
    cont = 0;
    for (i = 0; i < elenco.length; i++) {
      if (elenco[i].getNome() == iniziale)      cont++;
    }
    System.out.println(cont);
    
    System.exit(0);
  }
}