// TEMA 10  

//======================================classe Motrice=============================================
class Motrice extends Object
{
  protected char nome;
  protected int chilometri;
    
  public Motrice (char nome, int chilometri) {
    this.nome = nome;
    this.chilometri = chilometri;
  }
  
  public char getNome()                 { return nome; }
  public int getChilometri()            { return chilometri; }
  
  public void setChilometri(int n) {
    chilometri += n;
  }
  
  public String toString() {
    return "Motrice: "+nome+"\t\t Km:"+chilometri;
  }
}

//======================================classe Rimorchio===========================================
class Rimorchio extends Motrice
{
  protected int peso;
  
  public Rimorchio (char nome, int chilometri, int peso) {
    super (nome, chilometri);
    this.peso = peso;
  }
  
  //metodo di accesso
  public int getPeso ()                 { return peso; }
  public void setPeso (int n) {
    peso += n;
  }
  
  public String toString() {
    return "Rimorchio: "+nome+"\t Km:"+chilometri+"\t Kg:"+peso;
  }
}

//=======================================classe Tema10=====================================
public class Tema10
{
  public static void main (String[] args) {
    //inizializzazione degli oggetti
    Motrice[] leMieMotrici = new Motrice [5];
    int i;
    for (i = 0; i < leMieMotrici.length; i++) {
      leMieMotrici[i] = new Motrice ((char)(i+65), 0);
    }
    
    Rimorchio[] iMieiRimorchi = new Rimorchio [3];
    for (i = 0; i < iMieiRimorchi.length; i++) {
      iMieiRimorchi[i] = new Rimorchio ((char)(90-i), 0, 0);
    }
    
    //30 giorni lavorativi (come da consegna)
    int unNumero, unAltroNumero, n, N;
    for (i = 1; i <= 30; i++) {
      unNumero = (int)(5*Math.random());
      leMieMotrici[unNumero].setChilometri((int)(20*Math.random()+1));
      do { unAltroNumero = (int)(5*Math.random()); } while (unAltroNumero == unNumero);
      leMieMotrici[unAltroNumero].setChilometri((int)(20*Math.random()+1));
      
      n = (int)(3*Math.random());
      iMieiRimorchi[n].setChilometri(leMieMotrici[unNumero].getChilometri());
      iMieiRimorchi[n].setPeso((int)(30*Math.random()+10));
      do { N = (int)(3*Math.random()); } while (n == N);
      iMieiRimorchi[N].setChilometri(leMieMotrici[unAltroNumero].getChilometri());
      iMieiRimorchi[N].setPeso((int)(30*Math.random()+10));
    }
    
    //stampa a schermo di tutte le info
    for (i = 0; i < leMieMotrici.length; i++) {
      System.out.println (leMieMotrici[i].toString());
    }
    for (i = 0; i < iMieiRimorchi.length; i++) {
      System.out.println (iMieiRimorchi[i].toString());
    }
    
    System.exit(0);
  }
}
