/*
  TEMA 3
  Una ditta vende per corrispondenza cuscini e coperte.
  La ditta ha 1000 clienti, identificati da un intero 
  ed essi si trovano in Sicilia, Calabria e Puglia.
  Ogni cliente compra da 0 fino a 3 cuscini e da 0 fino a 2 coperte.
  
  Scrivere un programma JAVA che:
  a)   calcoli quanti cuscini sono stati venduti in ciascuna delle tre regioni.
  b)   dato l'intero che identifichi un cliente dica quali acquisti ha fatto.
  
  (si inizializzino i valori delle vendite a caso)
*/

import java.math.BigInteger;
import javax.swing.JOptionPane;

//=====================================classe Cliente=======================================
class Cliente extends Object
{
  private int nome;
  private String regione;
  private int cusciniAcquistati, coperteAcquistate;
    
  public Cliente (int nome, String regione) {
    this.nome = nome;
    this.regione = regione;
  }
  
  public int getNome () {
    return nome;
  }
  public String getRegione()                    { return regione; }
  public void acquistaCuscini () {
    cusciniAcquistati += (int)(4 * Math.random());
  }
  
  public void acquistaCoperte () {
    coperteAcquistate += (int)(3 * Math.random());
  }
  
  public int getCusciniAcquistati() { return cusciniAcquistati; };
  public int getCoperteAcquistate() { return coperteAcquistate; };
}

//=======================================classe Tema3=======================================
public class Tema3
{
  public static void main (String[] args)
  {
    Cliente []clientiDitta = new Cliente [1000];
    
    int i, random;
    for (i = 0; i < clientiDitta.length; i++) {
      random = (int)(3 * Math.random () + 1);
      if (random == 1)
        clientiDitta[i] = new Cliente (i+1, "Sicilia");
      else if (random == 2)
        clientiDitta[i] = new Cliente (i+1, "Calabria");
      else clientiDitta[i] = new Cliente (i+1, "Puglia");
    }
    
    for (i = 0; i < clientiDitta.length; i++) {
      clientiDitta[i].acquistaCuscini();
      clientiDitta[i].acquistaCoperte();
    }
    
    i = 0;
    do {
      int scelta = Integer.parseInt (
      JOptionPane.showInputDialog ("Dammi l'identificativo di un cliente"));
      System.out.print ("Il cliente "+scelta+" ha acquistato: ");
      System.out.print (clientiDitta[scelta].getCusciniAcquistati()+" cuscini e ");
      System.out.print (clientiDitta[scelta].getCoperteAcquistate()+" coperte. \n");
    }   while (i < 10);
    
    System.exit(0);
  }
}
